## ros-melodic-fetch-depth-layer 0.8.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(fetch_depth_layer)

find_package(catkin REQUIRED 
  COMPONENTS
    pluginlib
    roscpp
    image_transport
    cv_bridge
    sensor_msgs
    geometry_msgs
    tf2_ros
    costmap_2d
    nav_msgs
)

find_package(OpenCV 3.2 REQUIRED)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    fech_depth_layer
  CATKIN_DEPENDS
    image_transport
    cv_bridge
    roscpp
    sensor_msgs
    tf2_ros
    geometry_msgs
    costmap_2d
    nav_msgs
  DEPENDS
    OpenCV
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
)

add_library(fetch_depth_layer src/depth_layer.cpp)

target_link_libraries(fetch_depth_layer
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
)

install(FILES costmap_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(TARGETS fetch_depth_layer
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

## ros-melodic-fetch-depth-layer 0.8.2

=== debian/changelog ===
ros-melodic-fetch-depth-layer (0.8.2-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.8.1-1stretch) stretch; urgency=high

  * sync cmake_minimum_required: 2.8.12
  * [fetch_depth_layer][OpenCV-4] operator= compile error (#108)
    
    This fixes no match for ‘operator=’ error with OpenCV4 and how the cv::Ptr was being set.
    Fixed by setting the normals_estimator_ pointer similarly to how the plane_estimator_ pointer is being set.
    This closes #82
  * [upstream change] pluginlib includes: h -> hpp (#106)
    
    pluginlib provided a script for this change, and it's been backported
    to Indigo, Kinetic- but not Jade.
  * Contributors: Alexander Moriarty

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 04 Apr 2019 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.8.0-1stretch) stretch; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * Merge pull request #81 <https://github.com/fetchrobotics/fetch_ros/issues/81> from moriarty/tf2-nav-melodic-devel
    [fetch_depth_layer][tf2] fixes for upstream navigation
    Changes for compatibility with ros-planning/navigation#755 <https://github.com/ros-planning/navigation/issues/755>
  * [fetch_depth_layer][tf2] ros-planning/navigation#755 <https://github.com/ros-planning/navigation/issues/755>
    Don't merge this until ros-planning/navigation#755 <https://github.com/ros-planning/navigation/issues/755>
    Updates fetch_depth_layer for tf2 changes coming upstream.
  * Merge pull request #80 <https://github.com/fetchrobotics/fetch_ros/issues/80> from moriarty/opencv3-runtime-symbols-not-found
    [Depth Layer] Fixes OpenCV3 symbol lookup error
    Originally we depended on opencv_candidate which found the OpenCV libs for us.
  * Merge pull request #78 <https://github.com/fetchrobotics/fetch_ros/issues/78> from fetchrobotics/build-on-melodic
    fetch_depth_layer is now full OpenCV3 support
  * Contributors: Alex Moriarty, Alexander Moriarty, Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.14-1stretch) stretch; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.13-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.12-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 02 Aug 2017 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.11-1stretch) stretch; urgency=high

  * scoped 'isnan' with 'std'
    Fixes compilation errors while compiling with c++11 flags
  * Contributors: Priyam Parashar

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 31 Jul 2017 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.10-1stretch) stretch; urgency=high

  * updates to handle OpenCV3 changes
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 27 Oct 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.9-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 26 Jul 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.8-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.7-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.6-1stretch) stretch; urgency=high

  * Allow FetchDepthLayer to send empty clouds
    This keeps the "current"-ness of observationbuffers up-to-date even when
    sensors return zero points due to being in a large open area.
  * Contributors: Aaron Hoy

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 26 May 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.5-1stretch) stretch; urgency=high

  * Fixed activate and deactivate to avoid errors
  * Parameterizing inputs for ObservationBuffer to match parent layers.
  * Contributors: Aaron Hoy, Alex Henning, Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 08 May 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.4-1stretch) stretch; urgency=high

  * activate/deactivate for fetch depth layer
  * Added transform filtering to depth layer depth data callback
  * Contributors: Levon Avagyan

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 16 Mar 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.3-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 05 Mar 2016 08:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.2-1stretch) stretch; urgency=high

  * Add option to clear with NANs
  * Add ROS param clear_with_skipped_rays to re-enable clearing with edge rays
  * Add ROS param to control size of skip region on edges
  * Change min_clearing_height to -infinity
  * Change max_clearing_height to +infinity
  * Contributors: Aaron Hoy, Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 24 Feb 2016 08:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.1-1stretch) stretch; urgency=high

  * add parameters for topic names
  * add support for static camera based on tf transform
  * Improved local costmap clearing by considering all points for clearance.
  * re-license fetch_depth_layer as BSD
  * Contributors: Marek Fiser, Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 20 Jan 2016 08:00:00 -0000



=== debian/control ===
Source: ros-melodic-fetch-depth-layer
Section: misc
Priority: extra
Maintainer: Russell Toris <rtoris@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-costmap-2d, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf2-ros
Homepage: http://docs.fetchrobotics.com/perception.html
Standards-Version: 3.9.2

Package: ros-melodic-fetch-depth-layer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-costmap-2d, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf2-ros
Description: The fetch_depth_layer package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-fetch-depth-layer//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-fetch-depth-layer 0.8.3

=== debian/changelog ===
ros-melodic-fetch-depth-layer (0.8.3-1bionic) bionic; urgency=high

  * Initial noetic release
  * Updates maintainers
  * Contributors: Alex Moriarty, Russell Toris

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sat, 06 Mar 2021 08:00:00 -0000

ros-melodic-fetch-depth-layer (0.8.2-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.8.1-1bionic) bionic; urgency=high

  * sync cmake_minimum_required: 2.8.12
  * [fetch_depth_layer][OpenCV-4] operator= compile error (#108)
    
    This fixes no match for ‘operator=’ error with OpenCV4 and how the cv::Ptr was being set.
    Fixed by setting the normals_estimator_ pointer similarly to how the plane_estimator_ pointer is being set.
    This closes #82
  * [upstream change] pluginlib includes: h -> hpp (#106)
    
    pluginlib provided a script for this change, and it's been backported
    to Indigo, Kinetic- but not Jade.
  * Contributors: Alexander Moriarty

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 04 Apr 2019 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.8.0-1bionic) bionic; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * Merge pull request #81 <https://github.com/fetchrobotics/fetch_ros/issues/81> from moriarty/tf2-nav-melodic-devel
    [fetch_depth_layer][tf2] fixes for upstream navigation
    Changes for compatibility with ros-planning/navigation#755 <https://github.com/ros-planning/navigation/issues/755>
  * [fetch_depth_layer][tf2] ros-planning/navigation#755 <https://github.com/ros-planning/navigation/issues/755>
    Don't merge this until ros-planning/navigation#755 <https://github.com/ros-planning/navigation/issues/755>
    Updates fetch_depth_layer for tf2 changes coming upstream.
  * Merge pull request #80 <https://github.com/fetchrobotics/fetch_ros/issues/80> from moriarty/opencv3-runtime-symbols-not-found
    [Depth Layer] Fixes OpenCV3 symbol lookup error
    Originally we depended on opencv_candidate which found the OpenCV libs for us.
  * Merge pull request #78 <https://github.com/fetchrobotics/fetch_ros/issues/78> from fetchrobotics/build-on-melodic
    fetch_depth_layer is now full OpenCV3 support
  * Contributors: Alex Moriarty, Alexander Moriarty, Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.14-1bionic) bionic; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.13-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.12-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 02 Aug 2017 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.11-1bionic) bionic; urgency=high

  * scoped 'isnan' with 'std'
    Fixes compilation errors while compiling with c++11 flags
  * Contributors: Priyam Parashar

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 31 Jul 2017 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.10-1bionic) bionic; urgency=high

  * updates to handle OpenCV3 changes
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 27 Oct 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.9-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 26 Jul 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.8-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.7-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.6-1bionic) bionic; urgency=high

  * Allow FetchDepthLayer to send empty clouds
    This keeps the "current"-ness of observationbuffers up-to-date even when
    sensors return zero points due to being in a large open area.
  * Contributors: Aaron Hoy

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 26 May 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.5-1bionic) bionic; urgency=high

  * Fixed activate and deactivate to avoid errors
  * Parameterizing inputs for ObservationBuffer to match parent layers.
  * Contributors: Aaron Hoy, Alex Henning, Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 08 May 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.4-1bionic) bionic; urgency=high

  * activate/deactivate for fetch depth layer
  * Added transform filtering to depth layer depth data callback
  * Contributors: Levon Avagyan

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 16 Mar 2016 07:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.3-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 05 Mar 2016 08:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.2-1bionic) bionic; urgency=high

  * Add option to clear with NANs
  * Add ROS param clear_with_skipped_rays to re-enable clearing with edge rays
  * Add ROS param to control size of skip region on edges
  * Change min_clearing_height to -infinity
  * Change max_clearing_height to +infinity
  * Contributors: Aaron Hoy, Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 24 Feb 2016 08:00:00 -0000

ros-melodic-fetch-depth-layer (0.7.1-1bionic) bionic; urgency=high

  * add parameters for topic names
  * add support for static camera based on tf transform


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-fetch-depth-layer
 Section: misc
-Priority: extra
-Maintainer: Russell Toris <rtoris@fetchrobotics.com>
+Priority: optional
+Maintainer: Carl Saldanha <csaldanha@fetchrobotics.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-costmap-2d, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf2-ros
 Homepage: http://docs.fetchrobotics.com/perception.html
 Standards-Version: 3.9.2
